org.jboss.jca.common.api.metadata.ds

## Enum TimeOut.Tag

- java.lang.Object
- - java.lang.Enum<TimeOut.Tag>
  - - org.jboss.jca.common.api.metadata.ds.TimeOut.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TimeOut.Tag>
  Enclosing interface:
    TimeOut

      public static enum TimeOut.Tag
      extends java.lang.Enum<TimeOut.Tag>

  A Tag.
  Author:
    Stefano Maestri

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLOCATION_RETRY` allocationRetry tag
    `ALLOCATION_RETRY_WAIT_MILLIS` allocationRetryWaitMillis tag
    `BLOCKING_TIMEOUT_MILLIS` blockingTimeoutMillis tag
    `IDLE_TIMEOUT_MINUTES` idleTimeoutMinutes tag
    `QUERY_TIMEOUT` queryTimeout tag
    `SET_TX_QUERY_TIMEOUT` setTxQueryTimeout tag
    `UNKNOWN` always first
    `USE_TRY_LOCK` useTryLock tag
    `XA_RESOURCE_TIMEOUT` xaResourceTimeout tag

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TimeOut.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName XsdString
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static TimeOut.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TimeOut.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final TimeOut.Tag UNKNOWN

      always first

    - #### BLOCKING_TIMEOUT_MILLIS

          public static final TimeOut.Tag BLOCKING_TIMEOUT_MILLIS

      blockingTimeoutMillis tag

    - #### IDLE_TIMEOUT_MINUTES

          public static final TimeOut.Tag IDLE_TIMEOUT_MINUTES

      idleTimeoutMinutes tag

    - #### SET_TX_QUERY_TIMEOUT

          public static final TimeOut.Tag SET_TX_QUERY_TIMEOUT

      setTxQueryTimeout tag

    - #### QUERY_TIMEOUT

          public static final TimeOut.Tag QUERY_TIMEOUT

      queryTimeout tag

    - #### USE_TRY_LOCK

          public static final TimeOut.Tag USE_TRY_LOCK

      useTryLock tag

    - #### ALLOCATION_RETRY

          public static final TimeOut.Tag ALLOCATION_RETRY

      allocationRetry tag

    - #### XA_RESOURCE_TIMEOUT

          public static final TimeOut.Tag XA_RESOURCE_TIMEOUT

      xaResourceTimeout tag

    - #### ALLOCATION_RETRY_WAIT_MILLIS

          public static final TimeOut.Tag ALLOCATION_RETRY_WAIT_MILLIS

      allocationRetryWaitMillis tag

  - ### Method Detail

    - #### values

          public static TimeOut.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TimeOut.Tag c : TimeOut.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TimeOut.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<TimeOut.Tag>`

    - #### forName

          public static TimeOut.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName XsdString
      Parameters:
        `localName` - a XsdString used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)